::-webkit-scrollbar{
display: none;
}
*{
    margin:0;
    padding: 0; 
    box-sizing: border-box;
}
/************************** Classes de bibliotecas ***************************************/
main {
    flex: 20 1 500px;
}
nav {
    flex: 2 1 150px;
}
footer{
    display: flex;   
}
body{
    background: rgb(211, 211, 211);
    /* overflow: hidden; */
}
.form-check-input {
    height: 1.5em;
    width: 3.5em !important;
}
.bg-primary {
    background-color: #192844 !important;
}

.bg-pms{
    background-color: #094587;
}

.page-link {
    border-radius: 0 !important;
    margin-right: 0.2em;
    padding-bottom: 0.2em;
    padding-top: 0.2em;
    /* color:#000; */
}
.dataTables_info {
    padding-top: 0.05em !important;
}
#mensagem {
    display: none;
}
.dataTables_length select {
    width: auto;
    display: inline-block;
    padding: 0 0.20ren !important;
    border-radius: 0;
}
.page-link.active, .active > .page-link {
    z-index: 3;
    color: var(--bs-pagination-active-color);
    background-color: #192844 !important; 
    border-color: #192844;
}
.mensagem {
    position: fixed;
    top: 10%;
    left: 2%;
    width: 95%;
    height: 6%;
    text-align: center;
    padding: 4px;
    z-index: 5000;
    border-radius: 0;
}
.lblMensagem {
    font-size: 24px;
    padding: 5px;
}
.btn-close {
    box-sizing: content-box;
    width: 1em;
    height: 1em;
    padding: .25em .25em;
    color: #000;
    background: rgba(255, 255, 0, 0);
    /* border: 1px solid #fff3cd; */
    opacity: 1;
    display: flex;
    justify-content: center;
    margin: -8px -8px 0 0;
}
.accordion {
    box-shadow: 0 !important;
    /* --bs-accordion-bg: var(--bs-body-bg); */
    --bs-body-bg: null;
    /* --bs-accordion-border-color: var(--bs-border-color); */
    --bs-border-color: null;
}
/* .page-link {
    color:black
} */

.offcanvas, .offcanvas-xxl, .offcanvas-xl, .offcanvas-lg, .offcanvas-md, .offcanvas-sm {
--bs-offcanvas-width: 250px;
}

/* Garantir que os botões de paginação sejam responsivos */
.dataTables_paginate {
    /* display: flex; */
    justify-content: center; 
    flex-wrap: wrap;
}

.dataTables_paginate .paginate_button {
    margin: 0.2rem;
}

/* Ajustar tamanhos de botões em telas menores */
@media screen and (max-width: 576px) {
    .dataTables_paginate .paginate_button {
        font-size: 0.9rem;  /* Reduzir tamanho da fonte */
        padding: 0.4rem 0.6rem;
    }

    /* Reduzir a área de exibição de cada botão */
    .dataTables_paginate .paginate_button {
        min-width: 2rem;
    }
}

/* Estilos gerais para o 'OU' */
.ou-text {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
}

/* Centralização quando a tela está entre 768px e 1199px */
@media (max-width: 1199px) and (min-width: 768px) {
    .ou-text {
        justify-content: center;
        width: 100% !important
    }
}

/* Centralização quando a tela está abaixo de 768px */
@media (max-width: 767px) {
    .ou-text {
        justify-content: center;
        width: 100% !important;
        text-align: center;
    }
}

.form-group .form-control-sm {
    padding: 5px;
    font-size: 0.875rem;
}

.selectize-input.focus {
    box-shadow: none !important;
    /* border: 1px solid #192844 !important; */
}
.selectize-input {
    border-radius: 0 !important;
    padding: 6px 0px 0px 5px;
    border-color: #192844;
    min-height: 31.5px !important;
    max-height: 50px;
    z-index: 0;
}
/* .selectize-input {
    display: grid;
    border-radius: 0 !important;
    border: 0 !important;
    padding: 6px 0px 0px 5x;
    min-height: 32px !important; 
    z-index: 0;
} */
.selectize-dropdown [data-selectable]:hover {
    background: #192844;
    color: #fff;
}
.selectize-dropdown, .selectize-input, .selectize-input input {
    max-height: 30rem;
}
.selectize-control.single .selectize-input:after {
    margin-top: 0;
}
.selectize-control {
    line-height: 10px !important;
}
.selectize-input.disabled {
    background-color:rgb(202, 200, 200) !important;
    min-height: 33.5px !important;
    border: var(--bs-border-width) var(--bs-border-style) rgb(25 40 68) !important;
}


/* ajustado daqui para baixo */
html, body {
    min-height: 100vh;
}

body {
    display: flex;
    flex-direction: column;
    background: rgb(211, 211, 211);
}

nav,
header,
footer {
    flex: 0 0 auto;
}

main {
    flex: 1 0 auto;
}

footer {
    display: flex;
    margin-top: auto;
}